Subject: bug#25630: [bug/df] Unicode is not supported on mounted point when I execute "df" command

From: Pádraig Brady <[email-masked]>
Date: Tue, 7 Feb 2017 08:04:33 -0800

On 07/02/17 05:11, Jaeseok Park wrote:
> Dear Pádraig
> 
> Thank you for your reply.
> 
> 1. Maybe its volume name seems to be encoded by UTF-8. I formatted my USB storage on OSX.
> 
> 2. My $LC_ALL is empty and $LANG is "ko_KR.UTF-8".
> 
> 3. The result of gls is as below:
> 
> BEAGLEBONE
> boot.tar
> ext
> ssd
> ''$'\341\204\206\341\205\256\341\204\214\341\205\246'

Ah right that's the decomposed form.
HFS must use that for normalization of file names.
Using that I can reproduce your issue with an incorrect locale:

# LC_ALL=ko_KR df -h
Filesystem      Size  Used Avail Use% Mounted on
/dev/sda1       100M  120K  100M   1% /root/�??�?��??�?�
# LC_ALL=ko_KR.UTF-8 df -h
Filesystem      Size  Used Avail Use% Mounted on
/dev/sda1       100M  120K  100M   1% /root/무제

I.E. It looks like you have the wrong locale settings for the df command.
Please try setting LC_ALL as above, or otherwise setting UTF-8.

thanks,
Pádraig